Subject: Re: [PATCH v14 bpf-next 00/18] mvneta: introduce XDP multi-buffer support

From: Lorenzo Bianconi <[email-masked]>
Date: Wed, 6 Oct 2021 14:15:07 +0200

> 
> 
> On 6 Oct 2021, at 11:32, Lorenzo Bianconi wrote:
> 
> >> On Fri, 1 Oct 2021 11:03:58 +0200 Lorenzo Bianconi wrote:
> >>> Can you please check if the code above is aligned to current requirements or if
> >>> it is missing something?
> >>> If this code it is fine, I guess we have two option here:
> >>> - integrate the commits above in xdp multi-buff series (posting v15) and work on
> >>>   the verfier code in parallel (if xdp_mb_pointer helper is not required from day0)
> >>> - integrate verfier changes in xdp multi-buff series, drop bpf_xdp_load_bytes
> >>>   helper (probably we will still need bpf_xdp_store_bytes) and introduce
> >>>   bpf_xdp_pointer as new ebpf helper.
> >>
> >> It wasn't clear to me that we wanted bpf_xdp_load_bytes() to exist.
> >> But FWIW no preference here.
> >>
> >
> > ack, same here. Any other opinion about it?
> 
> I was under the impression getting a pointer might be enough. But playing with the bpf ring buffers for a bit, it still might be handy to extract some data to be sent to userspace. So I would not mind keeping it.
> 

ok, so it seems we have a use-case for bpf_xdp_load_bytes(). If everybody
agree, I will post v15 with them included and we then we can work in parallel
for a bpf_xdp_pointer ebpf helper.

Regards,
Lorenzo